#ifndef _ICONSEL_H_
#define _ICONSEL_H_

#define ICSEL_HIDEFILENAME  0x00000001
#define ICSEL_HIDEBROWSEBTN 0x00000002
#define ICSEL_NOSELECTFILE  ICSEL_HIDEFILENAME | ICSEL_HIDEBROWSEBTN
#define ICSEL_LARGEICONS    0x00000004
#define ICSEL_SMALLICONS    0x00000008
#define ICSEL_WANTBOTHSIZE  ICSEL_LARGEICONS|  ICSEL_SMALLICONS
#define ICSEL_USEHINSTANCE  0x00000080

typedef struct {
   DWORD     dwSize;          // Size of structure
   HWND      hwndOwner;       // Parent Window
   HINSTANCE hInstance;       // HINSTANCE to extract icons from
   DWORD     dwFlags;         // Flags - see above
   LPSTR     pszCaption;      // Dialog caption
   LPSTR     pszFile;         // Name of initial file to browse
                              // name of selected file returned
   UINT      nMaxFileSize;    // Size of pszFile buffer
   HICON     hIconSmall;      // Selected Icon (16x16)
   HICON     hIconLarge;      // Selected Icon (32x32)
   UINT      iSelIcon;        // Index of selected icon
   BOOL      bLarge;          // Set to TRUE if a large icon was
                              // selected otherwise FALSE
} ICONSELINFO, *PICONSELINFO;

int APIENTRY SelectIconDlg(PICONSELINFO);
#endif
